File redirects incorrectly categorized in to Commons [[Category:Files with no machine-readable license]]
Closed, ResolvedPublic

Description

Most files in Commons [[Category:Files with no machine-readable license]] ( see https://commons.wikimedia.org/w/index.php?title=Category:Files_with_no_machine-readable_license&filefrom=Z) seem to be redirects, where filename listed under the file when clicked leads you to a redirected page with little "(Redirected from File:...)" on the top. [[Category:Files with no machine-readable license]] and several other similar categories is added automagically by the MediaWiki software and it seems like the mechanism of adding it is not compatible with file redirects, and does not recognize that it is OK to for redirects not to have a license.

By the way, edits to both the old and new redirected file pages does not remove it from the problem category

Jarekt created this task.Aug 11 2015, 2:53 AM
Jarekt updated the task description. (Show Details)
Jarekt raised the priority of this task from to Needs Triage.
Jarekt added a subscriber: Jarekt.
Restricted Application added a project: Multimedia. · View Herald TranscriptAug 11 2015, 2:53 AM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald Transcript
Restricted Application added a subscriber: Matanya. · View Herald TranscriptAug 11 2015, 2:58 AM
RP88 added a subscriber: RP88.Aug 11 2015, 3:04 AM
Tgr added a subscriber: Tgr.Aug 11 2015, 7:31 AM

That's weird. I would have expected 'ignoreRedirect' => true to filter out redirects.

zhuyifei1999 moved this task from Incoming to Backlog on the Commons board.Aug 11 2015, 1:39 PM
RP88 added a comment.Aug 11 2015, 2:13 PM

For what it is worth, I saw "Z 0002 7925.jpg" (i.e. https://commons.wikimedia.org/w/index.php?title=File:Z_0002_7925.jpg&redirect=no) was in this category just now, did a null edit to that page, and it is no longer in this category (now https://commons.wikimedia.org/w/index.php?title=Category:Files_with_no_machine-readable_license&filefrom=Z starts with "Z 0002 7928.jpg").

RP88, you are right I did a small edit to Z 0002 7928.jpg (removed \n) and the file was still there, but when I did a bigger edit (converted spaces to "_" in filename) than it disappeared from https://commons.wikimedia.org/w/index.php?title=Category:Files_with_no_machine-readable_license&filefrom=Z. So maybe it is some strange caching issue and touching the redirecting pages would solve the problem.

Tgr added a comment.Aug 14 2015, 12:39 AM

Yeah, I'm guessing that redirecting does not clear tracking categories from the categorylink table or something like that.

Jdforrester-WMF triaged this task as Low priority.Sep 4 2015, 6:55 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:59 PM

Change 383852 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/CommonsMetadata@master] Don't mistake redirects for files wit missing metadata

https://gerrit.wikimedia.org/r/383852

Change 383852 merged by jenkins-bot:
[mediawiki/extensions/CommonsMetadata@master] Don't mistake redirects for files with missing metadata

https://gerrit.wikimedia.org/r/383852

matthiasmullie closed this task as Resolved.Nov 7 2017, 10:04 PM

I uploaded a file & had it moved - didn't appear in that category anymore!